Last Comment Bug 760796 - Intermittent browser_responsiveui.js | preset 2 or 7: dimension valid (width or height) - Got X, expected Y
: Intermittent browser_responsiveui.js | preset 2 or 7: dimension valid (width ...
Status: RESOLVED FIXED
[fixed-in-fx-team]
: intermittent-failure
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: Firefox 15
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2012-06-02 05:50 PDT by Panos Astithas [:past]
Modified: 2012-11-25 19:31 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Use transition events. (7.95 KB, text/plain)
2012-06-02 09:01 PDT, Dave Camp (:dcamp)
no flags Details
just disable transitions (7.46 KB, patch)
2012-06-02 09:31 PDT, Dave Camp (:dcamp)
paul: review+
Details | Diff | Splinter Review

Description Panos Astithas [:past] 2012-06-02 05:50:20 PDT
Rev4 MacOSX Snow Leopard 10.6 fx-team debug test mochitest-other on 2012-06-02 03:56:28 PDT for push c9b7a566ff05

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/responsivedesign/test/browser_responsiveui.js | preset 2: dimension valid (width) - Got 555, expected 360
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/responsivedesign/test/browser_responsiveui.js | preset 2: dimension valid (height) - Got 823, expected 640

https://tbpl.mozilla.org/php/getParsedLog.php?id=12305683&tree=Fx-Team
Comment 1 Treeherder Robot 2012-06-02 07:26:03 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=12308243&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try debug test mochitest-other on 2012-06-02 06:12:57
slave: talos-r4-snow-057

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/responsivedesign/test/browser_responsiveui.js | preset 7: dimension valid (width) - Got 1081, expected 1920
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/responsivedesign/test/browser_responsiveui.js | preset 7: dimension valid (height) - Got 969, expected 900
Comment 2 Dave Camp (:dcamp) 2012-06-02 09:01:15 PDT
Created attachment 629482 [details]
Use transition events.

If you use timeouts to wait for transitions, you're gonna have a bad time.

This patch adds a ResponsiveUI:Transition event that is fired on the stack after the responsiveUI is done animating.

A simpler fix would just be to always disable transitions during the tests.  Thoughts?
Comment 3 Panos Astithas [:past] 2012-06-02 09:14:24 PDT
(In reply to Dave Camp (:dcamp) from comment #2)
> A simpler fix would just be to always disable transitions during the tests. 
> Thoughts?

Isn't that what we do in the Style Editor?
Comment 4 Dave Camp (:dcamp) 2012-06-02 09:31:38 PDT
Created attachment 629485 [details] [diff] [review]
just disable transitions
Comment 5 Treeherder Robot 2012-06-02 10:51:31 PDT
vporof
https://tbpl.mozilla.org/php/getParsedLog.php?id=12311428&tree=Fx-Team
Rev3 WINNT 6.1 fx-team debug test mochitest-other on 2012-06-02 09:28:45
slave: talos-r3-w7-046

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/responsivedesign/test/browser_responsiveui.js | preset 7: dimension valid (width) - Got 1797, expected 1920
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/responsivedesign/test/browser_responsiveui.js | preset 7: dimension valid (height) - Got 855, expected 900
Comment 7 Dave Camp (:dcamp) 2012-06-02 17:01:46 PDT
https://hg.mozilla.org/mozilla-central/rev/0a061846efd7
Comment 8 Treeherder Robot 2012-06-03 03:15:17 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=12326392&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2012-06-03 01:11:17
slave: talos-r3-w7-035

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/responsivedesign/test/browser_responsiveui.js | preset 7: dimension valid (width) - Got 1747, expected 1920
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/responsivedesign/test/browser_responsiveui.js | preset 7: dimension valid (height) - Got 837, expected 900
Comment 9 :Ehsan Akhgari (away Aug 1-5) 2012-06-04 16:01:42 PDT
This is not fixed, it happened to me on a try push containing the patch in comment 7: https://tbpl.mozilla.org/php/getParsedLog.php?id=12365543&tree=Try&full=1
Comment 10 :Ehsan Akhgari (away Aug 1-5) 2012-06-04 16:04:00 PDT
(In reply to Ehsan Akhgari [:ehsan] from comment #9)
> This is not fixed, it happened to me on a try push containing the patch in
> comment 7:
> https://tbpl.mozilla.org/php/getParsedLog.php?id=12365543&tree=Try&full=1

Ignore me, please!

Note You need to log in before you can comment on or make changes to this bug.